ru.bitel.bgbilling.modules.drwebn.common.bean

## Class AgentAVD

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase
    - - ru.bitel.bgbilling.modules.drwebn.common.bean.AgentAVD

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class AgentAVD
      extends AgentStatusBase

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase

      `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, tariffId, tariffTitle`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentAVD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentUUID()`
    `int` | `getCid()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getPswd()`
    `java.lang.String` | `getUrl()`
    `boolean` | `isNewAgent()`
    `void` | `setAgentUUID(java.lang.String agentUUID)`
    `void` | `setCid(int cid)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setNewAgent(boolean newAgent)`
    `void` | `setPswd(java.lang.String pswd)`
    `void` | `setUrl(java.lang.String url)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.AgentStatusBase

      `getStatus, getStatusString, getTariffId, getTariffTitle, setStatus, setTariffId, setTariffTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentAVD

          public AgentAVD()

  - ### Method Detail

    - #### getAgentUUID

          public java.lang.String getAgentUUID()

    - #### setAgentUUID

          public void setAgentUUID(java.lang.String agentUUID)

    - #### getPswd

          public java.lang.String getPswd()

    - #### setPswd

          public void setPswd(java.lang.String pswd)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getCid

          public int getCid()

    - #### setCid

          public void setCid(int cid)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`

    - #### isNewAgent

          public boolean isNewAgent()

    - #### setNewAgent

          public void setNewAgent(boolean newAgent)